Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.passage
Class PassageTally.OrderedVerseRangeIterator<T>

    java.lang.Object
      org.crosswire.jsword.passage.PassageTally.OrderedVerseRangeIterator<T>

All Implemented Interfaces:
  Iterator<VerseRange>

Enclosing class:
  PassageTally

    private static final class PassageTally.OrderedVerseRangeIterator<T>

extends Object
implements Iterator<VerseRange>

Iterate over the Ranges in order of their rank in the tally

Author:
  Joe Walker

Field Summary
`private Iterator<PassageTally.TalliedVerseRange>` | `it` The Iterator we are converting
`private PassageTally.TalliedVerseRange` | `last` So that we can get at the ranking of the given verse

Constructor Summary
`PassageTally.OrderedVerseRangeIterator(Versification v11n, Iterator<Key> vit, int[] board)` Find the first unused verse

Method Summary
`boolean` | `hasNext()`
`VerseRange` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### last

    private PassageTally.TalliedVerseRange last

  So that we can get at the ranking of the given verse

### it

    private Iterator<PassageTally.TalliedVerseRange> it

  The Iterator we are converting

Constructor Detail

### PassageTally.OrderedVerseRangeIterator

    public PassageTally.OrderedVerseRangeIterator(Versification v11n,
                                                  Iterator<Key> vit,
                                                  int[] board)

  Find the first unused verse

  Parameters:
    `v11n` - the versification to which this reference pertains
    `vit` -
    `board` -

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<VerseRange>`

### next

    public VerseRange next()
                    throws NoSuchElementException

  Specified by:
    `next` in interface `Iterator<VerseRange>`
  Throws:
    `NoSuchElementException`

### remove

    public void remove()
                throws UnsupportedOperationException

  Specified by:
    `remove` in interface `Iterator<VerseRange>`
  Throws:
    `UnsupportedOperationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD